Bug 505040 - Python management tools hang when connecting to hung broker
Python management tools hang when connecting to hung broker
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-qmf (Show other bugs)
1.1.1
All Linux
medium Severity medium
: 1.1.2
: ---
Assigned To: Ted Ross
Frantisek Reznicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-10 09:32 EDT by Ted Ross
Modified: 2015-11-15 19:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-12 13:39:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The issue reproducer (7.23 KB, application/x-shellscript)
2009-06-10 10:25 EDT, Frantisek Reznicek
no flags Details
Patch (off of svn revision 752581) that fixes this problem. (14.45 KB, patch)
2009-06-10 10:30 EDT, Ted Ross
no flags Details | Diff

  None (edit)
Description Ted Ross 2009-06-10 09:32:21 EDT
Description of problem:

If the messaging broker is hung (i.e. the process exists but it it not handling incoming data), establishing a qmf connection will hang indefinitely.

Version-Release number of selected component (if applicable):

1.1.1

How reproducible:

100%

Steps to Reproduce:
1. Start broker interactively
2. Pause broker with control-Z
3. Run qpid-config (or any other Python-based tool)
  
Actual results:

The command will hang until the process is restarted (with 'fg')

Expected results:

The command should fail with a timeout error after some finite time.
Comment 1 Frantisek Reznicek 2009-06-10 10:25:54 EDT
Created attachment 347228 [details]
The issue reproducer
Comment 2 Ted Ross 2009-06-10 10:30:44 EDT
Created attachment 347229 [details]
Patch (off of svn revision 752581) that fixes this problem.

This patch also carries the python change from the patch in BZ504977.
Comment 3 Ted Ross 2009-06-10 11:54:05 EDT
Comment on attachment 347229 [details]
Patch (off of svn revision 752581) that fixes this problem.

Obsolete this patch - there is a problem with its handling of SSL.
Comment 5 Frantisek Reznicek 2009-06-11 03:58:42 EDT
The issue has been fixed on RHEL 4.7 / 5.3 i386 / x86_64 on packages:
[root@dell-pe-sc1435-02 bz505040]# rpm -qa | grep qpid | sort -u
python-qpid-0.5.752581-3.el5
qpidc-0.5.752581-15.el5
qpidc-debuginfo-0.5.752581-14.el5
qpidc-devel-0.5.752581-15.el5
qpidc-perftest-0.5.752581-15.el5
qpidc-rdma-0.5.752581-15.el5
qpidc-ssl-0.5.752581-15.el5
qpidd-0.5.752581-15.el5
qpidd-acl-0.5.752581-15.el5
qpidd-cluster-0.5.752581-15.el5
qpidd-devel-0.5.752581-15.el5
qpid-dotnet-0.4.738274-2.el5
qpidd-rdma-0.5.752581-15.el5
qpidd-ssl-0.5.752581-15.el5
qpidd-xml-0.5.752581-15.el5
qpid-java-client-0.5.751061-7.el5
qpid-java-common-0.5.751061-7.el5

-> VERIFIED
Comment 7 errata-xmlrpc 2009-06-12 13:39:49 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1097.html

Note You need to log in before you can comment on or make changes to this bug.